# Cáratula
 Para todas las tareas:
* Los límites de tiempo y memoria están disponibles en la página "Overview" del sistema de evaluación.
* Hay un comprimido adjunto que puede descargar desde el sistema de evaluación, que contiene evaluadores locales, implementaciones de ejemplo, casos de prueba de ejemplo y scripts de compilación y ejecución.
* Puede realizar hasta 50 envíos por cada problema y debe enviar exactamente un archivo en cada envío.
* Al probar su programa con el evaluador local, su entrada debe coincidir con el formato y las restricciones del enunciado del problema; de lo contrario, pueden ocurrir comportamientos no especificados. Cada dos tokens consecutivos en una línea están separados por un solo espacio, a menos que se especifique explícitamente otro formato.
* Cuando pruebe su código en su máquina local, le recomendamos que utilice los scripts de los paquetes adjuntos. Tenga en cuenta que utilizamos la opción del compilador   
`-std=gnu++17`.
* Si no puede enviar a CMS, puede utilizar la herramienta `ioisubmit` para almacenar su código y evaluarlo una vez finalizado el concurso.
   - Ejecute el siguiente comando desde el directorio que contiene `<source_file>`, el archivo que desea enviar:
 
   ```ioisubmit <nombre_corto_del_problema> <source_file>```
   - Pídale a un miembro del comité que tome una fotografía del resultado de `ioisubmit`. Su envío será rechazado a menos que se haya realizado este paso.
   - Su envío sólo será considerado si va acompañado de una apelación de su líder de equipo.

# Convenciones

Los enunciados especifican las signaturas utilizando nombres genericos para los tipos `void`, `char`, `int`, `int[]` (array), `int64` and `int64[]` (arreglo)..

En C++, los evaludores utilizan tipos de datos o implementaciones apropiadas, que se mencionan a continuación.

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | longitud del arreglo `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |