# Nota

Para todas as tarefas:

* Os limites de tempo de memória estão disponíveis na página "Overview" no sistema de competição.
* Há um pacote anexo que você pode baixar do sistema de competição, contendo corretores exemplo, exemplos de implementação, exemplos de caso de teste e scripts de compilação e execução.
* Cada tarefa possui uma subtarefa com índice 0 que vale 0 ponto. Os casos de teste para esta subtarefa são os mesmos que os casos de teste exemplo no pacote anexo.
* Você pode fazer até 50 submissões para cada tarefa e você deve submeter exatamente um arquivo em cada submissão.
* Ao testar seus programas com o corretor exemplo, sua entrada deve corresponder ao formato e restrições definidas no enunciado da tarefa, caso contrário, podem ocorrer comportamentos indefinidos. Dois elementos consecutivos de uma linha são separados por um único espaço, ao menos que outro formato seja explicitamente especificado.
* Ao testar seu código na sua máquina local, recomendamos que use os scripts fornecidos no pacote anexo. Observe que utilizamos a opção `-std=gnu++17` para compilar.
* Se você não conseguir submeter usando o CMS, você pode usar a ferramenta `ioisubmit` para armazenar seu código para ser avaliado após a competição.
 - Execute  o seguinte comando no diretório contendo `<source_file>` - o arquivo que você deseja submeter:
`ioisubmit <task_shortname> <source_file>`
  - Peça a um membro do comitê para tirar uma foto da saída do `ioisubmit`. Sua submissão não será considerada a menos que este passo tenha sido realizado.
  - Sua submissão só será considerada se estiver acompanhada por um apelo de seu Líder de Time.

# Convenção
Os enunciados das tarefas especificam assinaturas usando nomes genéricos de tipos `void`, `char`, `int`, `int[]` (vetor), `int64` e `int64[]` (vetor). 

Em C++, os corretores usam tipos de dados ou implementações apropriadas, como listado abaixo

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | comprimento do vetor  `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
