# Nota de implementación

Para todas las tareas:

* Los límites de tiempo y memoria estarán disponibles en la página "Overview" del sistema de la competencia.
* Hay un paquete de archivos adjuntos que puedes descargar desde el sistema de la competencia, conteniendo evaluadores de ejemplo, implementaciones de ejemplo, casos de prueba de ejemplo y scripts de compilación y ejecución.
* Cada problema tiene una subtarea con índice 0 que vale 0 puntos. Los casos de prueba de esta subtarea son los mismos que los casos de prueba de ejemplo en eel paquete de archivos de adjuntos.
* Puedes hacer a lo más 50 envíos por cada problema, y debes envíar exactamente un archivo en cada envío.
* Cuando pruebes un programa con el evaluador de ejemplo, tu input debería ajustarse al formate y restricciones del enunciado del problema, de caso contrario, comportamiento no especificado podría ocurrir. Cada dos cadenas de símbolos deben estar separados por un solo espacio, a menos que otro formato sea explícitamente especificado.
* Cuando pruebes tu código en tu maquina local, te recomendamos utilizar los script del paquete de archivos adjuntos. Tomar nota de que uitlizamos la opción `-std=gnu++17` del compilador.
* Si por alguna razón no puedes realizar envíos a CMS, puedes usar la herramienta `ioisubmit` para guardar tu código para evaluación después de terminar la competencia.
  - Corre el siguiente comando desde el directorio conteniendo `<archivo_de_código>` - el archivo que quieres envíar:
`ioisubmit <nombre_corto_problema> <archivo_de_código> `
  - Pídele a un ayudante que tome una foto del output de `ioisubmit`. Tu envío será **rechazado** a menos que este paso sea realizado.
  - Tu envío sera considerado solamente si es acompañado por una apelación de tu Líder de Equipo.
 
# Convenciones

Los enunciados de los problemas usan nombres de tipo genéricos `void`, `char`, `int`, `int[]` (arreglo), `int64` and `int64[]` (arreglo).

En C++, los evaluadores usan los tipos apropiados o implementaciones apropiadas, como se ve en esta tabla:

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | largo del arreglo `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
