# 注意事项

对于所有题目：

* 比赛系统的“竞赛概况”页面中可以查到相应的时间和内存限制。
* 比赛系统中可下载附件包，其中包含评测程序示例、实现示例、测试用例示例、编译和运行脚本。
* 每道题目有一个编号为 0 的子任务，分值也为 0。这个子任务的测试用例与附件包中的测试用例示例是一样的。
* 每道题目最多可以提交50次，每次只能提交一个文件。
* 在使用评测程序示例来评测你的程序时，输入数据应当符合题面所给定的格式和约束条件，否则可能会导致不确定的结果。除非明确指定了其他格式，否则在评测程序示例的输入中，每一行里连续两项之间用一个空格分隔。
* 在本地机器测试你的代码时，建议使用附件包中的脚本。注意评测系统使用了 `-std=gnu++17` 编译选项。
* 如果出现无法提交到 CMS 的情况，可以使用 `ioisubmit` 工具来保存你的代码，以便在比赛结束后进行评测。
  - 在 `<源代码文件>`，也就是你想提交的文件所在的目录下运行：
        ioisubmit <题目简称> <源代码文件>
  - 请工作人员对 `ioisubmit` 的输出拍照。如果不这样做，你的提交将不会被处理。
  - 如果使用该方法提交代码，必须请你的领队也提交一个相应的申诉请求。

# 约定

题面在给出函数接口时，会使用一般性的类型名称 `void`、`char`、`int`、`int[]`（数组）、`int64` 和 `int64[]`（数组）。

在 C++ 中，评测程序会采用适当的数据类型或实现，如下表所示：

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | 数组 `a` 的长度 |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
