# Aviso

Para todas las tareas:

* Los límites de tiempo y memoria están disponibles en la página "Descripción 
general" del sistema del concurso.
* Hay un paquete adjunto que puede descargar del sistema del concurso y que contiene evaluadores de muestra, implementaciones de muestra, casos de prueba de ejemplo y scripts de compilación y ejecución.
* Cada tarea tiene una subtarea con índice 0 que vale 0 puntos. Los casos de prueba para esta subtarea son los mismos que los casos de prueba de muestra en el archivo adjunto descargable.
* Puede realizar hasta 50 envíos para cada tarea y debe enviar exactamente un archivo en cada envío.
* Al probar un programa con el evaluador de muestra, su entrada debe coincidir con el formato y las restricciones de la declaración de la tarea; de lo contrario, pueden ocurrir comportamientos no especificados. Cada dos tokens consecutivos en una línea están separados por un solo espacio, a menos que se especifique explícitamente otro formato.
* Cuando pruebe su código en su máquina local, le recomendamos que utilice los scripts de los paquetes adjuntos. Tenga en cuenta que utilizamos la -`std=gnu++17` opción del compilador.
* Si no puede enviarlo al CMS, puede utilizar la ioisubmitherramienta para almacenar su código para su evaluación una vez finalizado el concurso.
* Ejecute el siguiente comando desde el directorio que contiene `<source_file>` el archivo que desea enviar: ioisubmit `<task_shortname> <source_file>`
* Pídale a un miembro del comité que tome una fotografía del resultado de ioisubmit. Su envío será rechazado a menos que se haya realizado este paso.
Su envío solo será considerado si va acompañado de una apelación del líder de su equipo.

# Convención

Las declaraciones de tarea especifican firmas utilizando nombres de tipos genéricos ` void`, `char`, `int`, and `int[]` (array).

En C++, los calificadores utilizan implementaciones o tipos de datos apropiados, como se detalla a continuación

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | length of array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |


