# Notice

Για όλα τα προβλήματα:

* Τα όρια χρόνου και μνήμης είναι διαθέσιμα στη σελίδα "Overview" του συστήματος διαγωνισμού.
* Υπάρχει ένα συνημμένο πακέτο που μπορείτε να κατεβάσετε από το σύστημα του διαγωνισμού, το οποίο περιέχει ενδεικτικούς graders, ενδεικτικές υλοποιήσεις, παραδείγματα test cases και compile και run scripts.
* Κάθε πρόβλημα έχει ένα subtask με δείκτη 0, το οποίο αξίζει 0 πόντους. Τα test cases για αυτό το subtask είναι ίδια με τα ενδεικτικά test cases στο επισυναπτόμενο αρχείο.
* Μπορείτε να κάνετε μέχρι 50 υποβολές για κάθε πρόβλημα και πρέπει να υποβάλετε ακριβώς ένα αρχείο σε κάθε υποβολή.
* Όταν δοκιμάζετε ένα πρόγραμμα με τον ενδεικτικό grader, το input σας θα πρέπει να ταιριάζει με τη μορφή και τους περιορισμούς του προβλήματος, διαφορετικά μπορεί να εμφανιστούν μη καθορισμένες συμπεριφορές. Κάθε δύο διαδοχικά tokens σε μια γραμμή χωρίζονται με ένα κενό διάστημα, εκτός αν ορίζεται ρητά άλλη μορφή.
* Όταν δοκιμάζετε τον κώδικά σας στον τοπικό σας υπολογιστή, σας συνιστούμε να χρησιμοποιείτε τα scripts από τα συνημμένα πακέτα. Σημειώστε ότι χρησιμοποιούμε την `-std=gnu++17` επιλογή compiler.
* Αν δεν μπορείτε να υποβάλετε στο CMS, μπορείτε να χρησιμοποιήσετε το εργαλείο `ioisubmit` για να αποθηκεύσετε τον κώδικά σας για αξιολόγηση μετά το τέλος του διαγωνισμού.
- Εκτελέστε την ακόλουθη εντολή από τον κατάλογο που περιέχει το `<source_file>` - το αρχείο που θέλετε να υποβάλετε:
`ioisubmit <task_shortname> <source_file>`
- Ζητήστε από ένα μέλος της επιτροπής να τραβήξει μια φωτογραφία του output του `ioisubmit`. Η υποβολή σας θα απορριφθεί εάν δεν έχει γίνει αυτό το βήμα.
- Η υποβολή σας θα εξεταστεί μόνο εάν συνοδεύεται από appeal του Team Leader της ομάδας σας.

# Convention

Οι εκφωνήσεις των προβλημάτων καθορίζουν signatures χρησιμοποιώντας γενικά ονόματα τύπων `void`, `char`, `int`, `int[]` (array), `int64` and `int64[]` (array).

Στη C++, οι graders χρησιμοποιούν κατάλληλα data types ή υλοποιήσεις, όπως αναφέρονται παρακάτω

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  |  length of array `a`  |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |

