# Notice
Pour chaque sujet :

* Les limites de temps et de mémoire sont disponibles sur la page "Présentation" (Overview) de CMS.
* Il y a, dans CMS, une archive téléchargeable qui contient les évaluateurs d'exemple (grader), les squelettes de code, les tests d'exemple, ainsi que les scripts de compilation et d'exécution.
* Chaque sujet a une sous-tâche numérotée 0 qui vaut 0 points. Les tests de cette sous-tâche sont les mêmes que les tests d'exemple présents dans l'archive téléchargeable.
* Vous pouvez faire jusqu'à 50 soumissions pour chaque sujet, et vous devez soumettre exactement un fichier par soumission.
* En testant vos programmes avec l'évaluateur d'exemple, l'entrée fournie doit correspondre à la description faite dans l'énoncé sans quoi le comportement n'est pas spécifié. Chaque paire de tokens consécutifs sur une ligne sont séparés par un unique espace, sauf si un autre format est explicitement spécifié. 
* Lorsque vous testez votre code en local sur votre machine, nous recommandons d'utiliser les scripts des archives jointes. Veuillez noter que nous utilisons l'option `-std=gnu++17` du compilateur.
* S'il n'est pas possible de soumettre via CMS, vous pouvez utiliser l'outil `ioisubmit` pour enregistrer votre code pour l'évaluer après la fin du concours.
  - Exécutez la commande suivante dans le dossier contenant `<source_file>` - le fichier que vous souhaitez soumettre :
`ioisubmit <task_shortname> <source_file>`
  - Demandez à un membre du comité de prendre en photo la sortie de `ioisubmit`. Votre soumission sera rejetée si cette étape n'est pas effectuée.
  - Votre soumission ne sera prise en compte que si elle est accompagnée d'un appel de votre Team Leader après la compétition.

# Convention

Les énoncés des sujets spécifient des signatures utilisant les noms de types génériques `void`, `char`, `int`, `int[]` (tableau), `int64` and `int64[]` (tableau).

En C++, les évaluateurs utilisent les types de données ou implémentations appropriés, comme listé ci-dessous

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | longueur du tableau `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |