# Notice

Для всех задач:

* Ограничения по времени и памяти доступны в тестирующей системе на странице "Overview".
* Из тестирующей системы вы можете загрузить архив, содержащий примеры грейдеров, примеры реализации, сэмплы, скрипты компиляции и запуска.
* В каждой задаче есть подзадача с индексом 0, оцениваемая в 0 баллов. Тесты для этой подзадачи совпадают с сэмплами из прикреплённого архива.
* По каждой задаче вы можете отправить до 50 посылок. В каждой посылке вы должны отправить ровно один файл.
* Во время тестирования программы примером грейдера ваш ввод должен соответствовать формату и ограничениям из условия задачи, иначе поведение программы может быть не определено. Любые два последовательных токена в строке разделяются ровно одним пробелом, если явно не указан другой формат.
* Мы рекомендуем вам использовать скрипты из прикреплённых архивов для тестирования вашего кода на локальной машине. Пожалуйста, обратите внимание, что мы используем опцию компилятора `-std=gnu++17`.
* Если вы не можете сделать посылку в тестирующую систему, используйте инструмент `ioisubmit`, чтобы сохранить ваш код для тестирования после конца соревнования.
  - Выполните следующую команду из директории, содержащей  `<source_file>` - файл для отправки:
`ioisubmit <task_shortname> <source_file>`
  - Попросите члена оргкомитета сделать фотографию вывода `ioisubmit`. Без этого шага ваша посылка будет отвергнута.
  - Ваша посылка будет рассмотрена, только если она будет сопровождаться апелляцией от вашего руководителя команды.

# Convention

В условиях задач используются обозначения стандартных типов `void`, `char`, `int`, `int[]` (array), `int64` и `int64[]` (array).


В C++ грейдеры используют соответствующие типы данных или реализации

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | длина массива `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |