# 注意　

全ての問題について:

* 実行時間制限とメモリ制限はコンテストシステムの "Overview" ページから見ることができる．
* 採点プログラムのサンプル，実行プログラムのサンプル，入出力例，コンパイルと実行のためのスクリプトを含む添付パッケージをコンテストシステムからダウンロードすることができる．
* 各課題には点数の無い小課題 0 が存在する．この小課題のテストケースは添付パッケージに含まれている入出力例と同じものである．
* あなたは各課題について，50 回まで提出することができる．また，それぞれの提出において，ちょうど 1 つのファイルを提出しないとならない．
* 採点プログラムのサンプルを用いてプログラムを実行するとき，入力は問題文で示されたフォーマットと制約を満たさなければならない．そうでない場合，予期せぬ挙動をするかもしれない．入力は，特別な指示がない限り，各行の連続する 2 つのトークンを 1 つの半角スペースによって区切ること．
* 手元のコンピュータであなたの書いたプログラムを試すとき，添付パッケージに含まれるスクリプトを用いることを推奨する．コンパイルオプション `-std=gnu++17` を使用していることに注意すること．
* もしCMS に提出できなくなった場合，`ioisubmit` コマンドを用いてあなたのコードを記録することができる．記録されたコードはコンテスト終了後に評価される．
  - 提出するファイルの名前を `<source_file>` としたとき， `<source_file>` があるディレクトリで `ioisubmit <task_shortname> <source_file>` というコマンドを実行すること．
  - 委員会のメンバーに，`ioisubmit` の出力の写真を撮るように依頼すること．これが行わなれかった場合，あなたの提出は考慮されない．
  - あなたのチームリーダーはアピールを提出すること．これが行われなかった場合，あなたの提出は考慮されない．

# 約束事

問題文では，`void`, `char`, `int`,  `int[]` (配列), `int64`, `int64[]` (配列) といった一般的な形式で型を表す．

C++ では，採点プログラムは以下のような適切な型や実装を用いる．

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  |  配列 `a` の長さ |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
