# Notice
모든 문제에서:

* 시간 제한과 메모리 제한 사항은 대회 시스템의 "Overview" 페이지에서 확인할 수 있다.
* 서버에서 다운로드 받을 수 있는 추가 패키지가 있다. 추가 패키지에는 sample graders, sample implementations, example test cases, compile and run scripts가 있다.
* 각 문제에는 0번 서브태스크가 있는데 이것은 점수가 부여되지 않는다. 이 서브태스크를 위한 테스트 케이스들은 패키지에 있는 샘플 테스트 케이스들과 같다.
* 각 문제 별로 최대 50번의 제출을 할 수 있다. 각 제출에서 정확히 하나의 파일을 제출해야 한다.
* Sample grader를 사용할 때는 문제에 정의된 형식과 제한을 따라야 한다. 그렇지 않은 경우 결과를 예상할 수 없다. 연속된 값들은 특별한 언급이 없는 한 하나의 빈칸으로 구분된다.
* 본인 기계에서 코드를 테스트할 때 추가 패키지에 있는 컴파일 스크립트를 사용할 것을 권장한다. 대회에서는 `-std=gnu++17` 컴파일러 옵션을 사용한다.
* CMS로 제출할 수 없다면, 대회 후 평가를 위한 코드 저장을 위해 `ioisubmit` 툴을 사용할 수 있다.
  - 제출하려는 `<source_file>`이 있는 디렉터리에서 다음 명령을 실행:
`ioisubmit <task_shortname> <source_file>`
  - 감독관이 `ioisubmit` 실행결과를 사진으로 찍어서 조직운영자에게 보낼 수 있도록 감독관에게 물어본다. 이 단계가 완료되지 않으면 제출은 거부된다.
  - 팀 리더의 이의 제기가 있는 경우에만 제출이 인정된다.

# Convention

문제 설명에서 함수 인자는 `void`, `char`, `int`, `int[]` (배열), `int64`, `int64[]` (배열) 타입으로 설명한다..

C++에서, 각 타입은 아래와 같이 구현된다.

|`void`| `char` | `int` | `int[]`            | 
| ------ | ------ | ----- | ------------------ |
|`void`| `char` | `int` | `std::vector<int>` |


| `int64` | `int64[]`            | length of array `a` |
| ----- | ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |