# 注意事項

對於所有任務：

* 時間和內存限制可以在競賽系統的「概覽」頁面中找到。
* 有一個附件包可以從競賽系統中下載，其中包含了樣例測試器、樣例實現、示例測試用例以及編譯和運行腳本。
* 每個任務都有一個索引為 0 的子任務，該子任務的分數為 0。該子任務的測試用例與可下載附件中的樣例測試用例相同。
* 每個任務最多可以提交 50 次，每次提交必須提交一個文件。
* 當使用樣例測試器測試程序時，輸入應與任務說明中的格式和約束條件相匹配，否則可能會出現未指定的行為。除非另有明確指定的格式，否則每行上的兩個連續標記之間用一個空格分隔。
* 在本地機器上測試代碼時，建議使用附件包中的腳本。請注意，我們使用 `-std=gnu++17` 編譯器選項。
* 如果無法提交到 CMS，可以使用 `ioisubmit` 工具將代碼存儲以便在比賽結束後進行評估。
  - 從包含要提交的文件 `<source_file>` 的目錄中運行以下命令：
`ioisubmit <task_shortname> <source_file>`
  - 請求委員會成員拍攝 `ioisubmit` 的輸出的照片。除非完成了此步驟，否則您的提交將被拒絕。
  - 只有在您的團隊負責人提出申訴的情況下，您的提交才會被考慮。

# 慣例

任務說明使用通用類型名稱 `void`、`char`、`int`、`int[]`（數組）、`int64` 和 `int64[]`（數組）來指定函數簽名。

在 C++ 中，測試器使用適當的數據類型或實現，如下所列

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | 數組 `a` 的長度 |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
