# Notice

Voor alle opgaven:

* Tijd- en geheugenlimieten staan in de "Overview" pagina in het contest system.
* Er is een attachment package dat je kunt downloaden uit het contest system, met sample graders, sample implementations, example testcases, en scripts voor compileren en runnen.
* Bij elke opgave hoort een subtask met index 0 die 0 punten waard is. De testcases voor deze subtask zijn hetzelfde als de voorbeeld testcases in het attachment dat je kunt downloaden.
* Je mag maximaal 50 inzendingen per opgave doen en je moet precies één bestand insturen bij iedere inzending.
* Als je een programma test met de sample grader, moet je invoer overeenkomen met het format en de randvoorwaarden van de opgavetekst, anders kan er iets onverwachts gebeuren. Elke twee opvolgende tekens op een regel worden gescheiden door één spatie, tenzij een ander format is voorgeschreven.
* Als je je code test op je lokale systeem, wordt het aangeraden om de scripts uit het attachment package te gebruiken. Let op dat we de `-std=gnu++17` compiler option gebruiken.
* Als je niet in CMS kunt inzenden, kun je `ioisubmit` gebruiken om je code te laten evalueren na het einde van de wedstrijd.
  - Run het volgende commando in de directory met het bestand `<source_file>` - het bestand dat je wilt inzenden:
`ioisubmit <task_shortname> <source_file>`
  - Vraag een lid van het committee om een foto te maken van de uitvoer van `ioisubmit`. Je inzending wordt afgewezen als je deze stap niet zet!
  - Je inzending wordt alleen bekeken als deze wordt vergezeld door een appeal van je teamleider.

# Conventies
De opdrachtteksten gebruiken beschrijvingen van algemene types  `void`, `char`, `int`, `int[]` (array), `int64` and `int64[]` (array).

In C++ gebruiken de graders onderstaande data types of implementaties.

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | lengte van array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |