# Notas
Para todos os problemas:

* Os limites de tempo e memória estão disponíveis na página de "Overview" do sistema de avaliação.
* Existe um ficheiro (arquivo) em anexo que podes transferir do sistema de avaliação, contendo avaliadores exemplo, exemplos de implementações, exemplos de casos de testes e scripts de execução e compilação.
* Cada problema tem uma subtarefa com índice 0 que vale 0 pontos. Os casos de teste para esta subtarefa são os mesmos casos de teste dos exemplos dados no ficheiro em anexo disponível no sistema de avaliação.
* Podes fazer até 50 submissões para cada problema, e tens de submeter exatamente um ficheiro em cada submissão.
* Ao testar um programa com o avaliador exemplo, o teu input deve corresponder ao formato e restrições do enunciado, caso contrário podem ocorrer comportamentos não especificados. Cada dois tokens consecutivos numa linha são separados por um único espaço, a menos que outro formato seja explicitamente especificado.
* Ao testares o teu código na tua máquina local, recomendamos que uses os scripts dos ficheiros em anexo. Nota que é usada a opção do compilador `-std=gnu++17`.
* Caso não consigas submeter no CMS, podes usar a ferramenta `ioisubmit` para armazenares o teu código para avaliação após o final da prova.
 - Executa o seguinte comando no diretório que contém `<source_file>` - o ficheiro que desejas enviar:
`ioisubmit <task_shortname> <source_file>`
 - Pede a um membro da organização para tirar uma foto do output de `ioisubmit`. A tua submissão será rejeitada se não fizeres este passo.
 - A tua submissão só será considerada se for depois acompanhada de um recurso do teu Team Leader.

# Convenções

Os enunciados especificam assinaturas usando nomes de tipos genéricos `void`, `char`, `int`, `int[]` (array), `int64` e `int64[]` (array).

Em C++, os avaliadores usam os tipos de dados ou implementações apropriadas, como listado a seguir:

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | tamanho do array `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |