# Aviso

Para todas las tareas:

* Los límites de tiempo y memoria están disponibles en la página "Overview" en el sistema de competencia.
* Hay un paquete adjunto que puedes descargar desde el sistema de competencia que contiene los evaluadores locales, implementaciones de ejemplo, casos de prueba de ejemplo y los scripts de compilación y ejecución.
* Cada problema tiene una subtarea con el índice 0 que vale 0 puntos. Los casos de prueba de esta subtarea son los mismos que los casos de prueba en el descargable adjunto.
* Puedes hacer hasta 50 entregas para cada problema, y debes entregar exactamente un archivo en cada una.
* Cuando pruebes un programa con el evaluador local, tu entrada debería coincidir con el formato y las restricciones del enunciado de la tarea; de otro modo, pueden ocurrir comportamientos no especificados. Cada dos tokens consecutivos en una línea son separados por un espacio simple, a menos que se especifique otro formato explícitamente.
* Cuando pruebes tu código en tu maquina local, te recomendamos utilizar los scripts de los paquetes adjuntos. Por favor notar que usamos la opción `-std=gnu++17` del compilador.
* Si no te es posible enviar soluciones a través del CMS, puedes usar la herramienta `ioisubmit` para almacenar tu código para evaluación después del final de la competencia.
  - Ejecuta el siguiente comando desde la carpeta que contiene el `<source_file>` (el archivo que quieres entregar):
`ioisubmit <task_shortname> <source_file>`
  - Pide a un miembro del comité que tome una foto de la salida de `ioisubmit`. Tu entrega será rechazada a menos que hagas este paso.
  - Tu entrega solo será considerada si se acompaña de una apelación de tu líder de equipo.

# Convenciones

Los enunciados de las tareas especifican firmas usando nombres de tipos genéricos `void`, `char`, `int`, `int[]` (arreglo), `int64` y `int64[]` (arreglo).

En C++, los evaluadores locales usan tipos de datos o implementaciones apropiadas, como se indica a continuación

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | longitud del arreglo `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`|