# Примітка

Для всіх задач:


* Обмеження на час та пам'ять доступні на сторінці "Огляд" у тестувальній системі.
* Є пакет вкладень, який можна завантажити з тестувальної системи, який містить приклади градерів, приклади реалізацій, приклади тестів, а також скрипти компіляції та запуску.
* Кожна задача має підзадачу з індексом 0, яка оцінюється в 0 балів. Тести для цієї підзадачі такі самі, як і приклади у вкладенні, яке можна завантажити.
* Ви можете зробити не більше 50 спроб до кожної задачі, і маєте відправити рівно один файл у кожній спробі.
* Під час тестування програми за допомогою приклада градера ваші вхідні дані мають відповідати формату та обмеженням, описаних в умові, інакше градер може повести себе непередбачувано. Кожні два послідовні токени в рядку відокремлюються одним пробілом, якщо інше не вказано в умові.
* Коли ви тестуєте свій код на локальній машині, ми рекомендуємо вам використовувати скрипти з вкладення. Зверніть увагу, що використовується параметр компіляції `-std=gnu++17`.
* Якщо ви не можете відправити спробу в систему CMS, можна використовувати програму `ioisubmit`, щоб зберегти ваш код для оцінювання після завершення контесту.
  - Запустіть наступну командну у теці, в якій зберігається `<source_file>` - файл, який ви хочете відправити:
`ioisubmit <task_shortname> <source_file>`
  - Попросіть члена комітету зробити фотографію виводу програми `ioisubmit`. Ваша спроба не буде оцінена, якщо ви цього не зробите.
  - Ваша спроба буде оцінена, лише якщо вона супроводжується апеляцією від керівника команди.

# Домовленості

Умови задач містять наступні загальні типи `void`, `char`, `int`, та `int[]` (масив), `int64`, та `int64[]` (масив).

В C++, градери використовують відповідні типи даних або реалізації, як зазначено нижче

| `void` | `char` | `int` | `int[]`            |
| ------ | ------ | ----- | ------------------ |
| `void` | `char` | `int` | `std::vector<int>` |

| `int64` | `int64[]`  | довжина масиву `a` |
| -------------- |  ------------------ | ------------------- |
| `long long` | `std::vector<long long>` | `a.size()`          |
