# Notice

Para todas las tareas:

* Los límites de tiempo y memoria estarán disponibles en la página de "Overview" del Contest System.
* Hay un paquete adjunto que tu puedes descargar desde el Contest System que contiene: sample graders (evaluadores de ejemplo), sample implementations   (implementaciones de ejemplo), example test cases (ejemplos de casos de prueba), y scripts de compilación y ejecución. 
* Cada tarea tiene una subtarea con índice 0 que tiene un valor de 0 puntos. Los casos de prueba para esta subtarea son los mismos que los casos de prueba en el paquete adjunto.
* Tu puedes hacer hasta 50 envíos por cada tarea, y tu debes enviar un solo archivo por cada envío.
* Cuando pruebas un programa con el evaluador de ejemplo, tu entrada deberá coincidir con el formato y las restricciones en el enunciado del problema, de otro modo, resultados inesperados pueden ocurrir. Cada dos datos consecutivos en una misma línea están separados por un solo espacio, a menos que explícitamente se especifique otro formato.
* Cuando pruebas tu código en tu máquina local, nosotros recomendamos que uses los scripts de los paquetes adjuntos. Por favor, observa que nosotros usamos la opción de compilación  `-std=gnu++17`.
* Si tu no puedes enviar hacia el CMS, tu debes usar la herramienta  `ioisubmit` para guardar tu código y que sea evaluado luego de que finalice la competencia.
  - Ejecuta el siguiente comando desde el directorio que contiene tu `<source_file>` - el archivo que tu quieres enviar:
`ioisubmit <task_shortname> <source_file>`
  - Pregúntale a un miembro del comité organizador para tomar una foto de tu `ioisubmit`. Tu envío será rechazado si no hace este paso.
  - Tu envío solo será considerado si es acompañado de una apelación de tu Team Leader.

# Convenciones

Los enunciados de la tareas especificarán tipos genéricos con nombres como: `bool`, `int`, `int64`, `int[]` (array), y `int[][]` (arreglo de arreglos).

En C++, el evaluador utiliza tipos de datos o implementaciones apropiados, como se enumera a continuación.

| `bool` | `int` | `int64`     | `int[]`            |
| ------ | ----- | ----------- | ------------------ |
| `bool` | `int` | `long long` | `std::vector<int>` |

| `int[][]`                       | longitud del arreglo `a` |
| ------------------------------- | ------------------- |
| `std::vector<std::vector<int>>` | `a.size()`          |